> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create contract position

> Creates a new position rate for the specified contract.



## OpenAPI

````yaml /api-reference/openapi.json post /contracts/{contract_id}/positions
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /contracts/{contract_id}/positions:
    post:
      tags:
        - Contract Positions
      summary: Create contract position
      description: Creates a new position rate for the specified contract.
      parameters:
        - name: contract_id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContractPositionCreateInput'
      responses:
        '200':
          description: Contract position created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractPositionRate'
components:
  schemas:
    ContractPositionCreateInput:
      type: object
      required:
        - position_id
        - team_id
        - rate
        - hours
      properties:
        position_id:
          type: integer
          description: Position ID
        team_id:
          type: integer
          description: Team ID
        rate:
          type: number
          description: Hourly rate to assign
        hours:
          type: number
          description: Hours to assign
    ContractPositionRate:
      type: object
      description: Contract position rate configuration
      properties:
        id:
          type: integer
          description: Contract position rate ID
        user_positions_header_id:
          type: integer
          description: User positions header ID
        contract_id:
          type: integer
          description: Contract ID
        position_id:
          type: integer
          description: Position ID
        team_id:
          type: integer
          description: Team ID
        currency_id:
          type: integer
          description: Currency ID
        rate:
          type: number
          description: Configured hourly rate
        hours:
          type: number
          description: Configured contract hours
        team:
          type: object
          properties:
            id:
              type: integer
              description: Team ID
            name:
              type: string
              description: Team name
        currency:
          type: object
          properties:
            id:
              type: integer
              description: Currency ID
            name:
              type: string
              description: Currency name
        position:
          type: object
          properties:
            id:
              type: integer
              description: Position Id
            name:
              type: string
              description: Position name
            seniority:
              type: string
              description: Seniority name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````